import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

// the Invoice Writer takes a list of entries, a file location,
public class InvoiceWriter 
{
	private File file;
	private String content;
	
	public InvoiceWriter(File location, String content)
	{
		this.file = location;
		this.content = content;
	}
	
	public void write() throws IOException
	{	
		// create a filewriter
		FileWriter outfile = new FileWriter(file, false);
		
		// create a writer buffer
		BufferedWriter out = new BufferedWriter(outfile);
	
		// write the content
		out.write(content);
		
		// close the writer
		out.close();
	}
}
